Subject: [OPSAWG] is there any work in Ops Area for monitoring network functions?

From: Linda Dunbar <[email-masked]>
Date: Wed, 5 Dec 2018 17:27:45 +0000

OpsaWG:

I2NSF WG has a draft on data models (and information model) of monitoring network security functions: https://tools.ietf.org/html/draft-hong-i2nsf-nsf-monitoring-data-model-06

It includes data models to retrieve System Alarms, System Events, counters, NSF Events/logs, etc.

Want to see if there are data models already specified by Ops Area for monitoring network functions which might have some common attributes that I2NSF can import.

Thanks, Linda Dunbar

From: Mr. Jaehoon Paul Jeong [mailto:[email-masked]]
Sent: Thursday, November 15, 2018 6:35 PM
To: Linda Dunbar <[email-masked]<mailto:[email-masked]>>; Yoav Nir <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Sangwon Hyun <[email-masked]<mailto:[email-masked]>>; Mr. Jaehoon Paul Jeong <[email-masked]<mailto:[email-masked]>>
Subject: Request for WG Adoption Call on NSF Monitoring Draft

Hi Linda and Yoav,
As we discussed the last Bangkok meeting,
I have merged the two drafts of Information Model and Data Model
for NSF Monitoring into a new draft called draft-hong-i2nsf-nsf-monitoring-data-model-06:

- Two Information and Data Model Drafts
 . draft-zhang-i2nsf-info-model-monitoring-07
 . draft-hong-i2nsf-nsf-monitoring-data-model-05

- A Merged Data Model Draft
 . draft-hong-i2nsf-nsf-monitoring-data-model-06
 . https://tools.ietf.org/html/draft-hong-i2nsf-nsf-monitoring-data-model-06

The NSF monitoring is very important to manage the I2NSF security service system
in a reliable and scalable fashion.

Could you start a WG adoption call for this draft?

Thanks.

Best Regards,
Paul
--
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php<http://cpslab.skku.edu/people-jaehoon-jeong.php>

---

From: tom petch <[email-masked]>
Date: Tue, 11 Dec 2018 11:21:49 +0000

Linda

I looked at the draft and think that it needs some work before it is a
YANG module:-)

- NMDA conformance is not mentioned

- the reference to RFC2119 is out of date

- the format for tree diagrams is now specified in RFC8340

- YANG import statements lack 'reference' as in
     import ietf-inet-types {
       prefix "inet";
       reference "RFC 6991 - Common YANG Data Types";

- YANG module has no copyright

- YANG module has (almost) no reference statements to tell the user
(like me)  whereto go to understand it. look, for example, at
draft-ietf-opsawg-nat-yang
for a module that is well supplied with reference statements

- YANG module should reference the RFC from which it comes

- the one and only reference in the YANG module is
      reference
         "draft-zhang-i2nsf-info-model-monitoring-07";
but the I-D is
         draft-hong-i2nsf-nsf-monitoring-data-model-06
I do not understand

- where you reference an I-D, it needs a Note to the RFC Editor e.g.
 reference       "draft-zhang-i2nsf-info-model-monitoring-07";
becomes
 reference RFC YYYY "....."
-- Note to RFC Editor please replace YYYY with the number assigned to
         "draft-zhang-i2nsf-info-model-monitoring"

- IANA Considerations must be present

- Security Considerations must include the YANG template

HTH:-)

I am not on the I2NSF list.

Tom Petch

----- Original Message -----
From: "Linda Dunbar" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, December 05, 2018 5:27 PM

> OpsaWG:
>
> I2NSF WG has a draft on data models (and information model) of
monitoring network security functions:
https://tools.ietf.org/html/draft-hong-i2nsf-nsf-monitoring-data-model-0
6
> Want to see if there are data models already specified by Ops Area for
monitoring network functions which might have some common attributes
that I2NSF can import.
> To: Linda Dunbar
<[email-masked]<mailto:[email-masked]>>; Yoav Nir
<[email-masked]<mailto:[email-masked]>>
> Cc: [email-masked]<mailto:[email-masked]>;
[email-masked]<mailto:skku_secu-brain_all@googlegr
oups.com>; Sangwon Hyun <[email-masked]<mailto:[email-masked]>>;
Mr. Jaehoon Paul Jeong
<[email-masked]<mailto:[email-masked]>>
> for NSF Monitoring into a new draft called
draft-hong-i2nsf-nsf-monitoring-data-model-06:
>  .
https://tools.ietf.org/html/draft-hong-i2nsf-nsf-monitoring-data-model-0
6
> Email: [email-masked]<mailto:[email-masked]>,
[email-masked]<mailto:[email-masked]>
> Personal Homepage:
http://iotlab.skku.edu/people-jaehoon-jeong.php<http://cpslab.skku.edu/p
eople-jaehoon-jeong.php>

---

From: Linda Dunbar <[email-masked]>
Date: Tue, 11 Dec 2018 16:12:10 +0000

Tom, 

Thank you very much for the review and comments. So there is no duplicated work in OpsArea? 

Authors of the draft-hong-i2nsf-nsf-monitoring-data-model: Can you please update the draft per Tom's comments. 

Linda. 

-----Original Message-----
From: tom petch [mailto:[email-masked]] 
Sent: Tuesday, December 11, 2018 5:22 AM
To: Linda Dunbar <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: Re: [OPSAWG] is there any work in Ops Area for monitoring network functions?

Linda

I looked at the draft and think that it needs some work before it is a YANG module:-)

- YANG module has (almost) no reference statements to tell the user (like me)  whereto go to understand it. look, for example, at draft-ietf-opsawg-nat-yang for a module that is well supplied with reference statements

HTH:-)

Tom Petch

----- Original Message -----
From: "Linda Dunbar" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, December 05, 2018 5:27 PM

> Want to see if there are data models already specified by Ops Area for
monitoring network functions which might have some common attributes that I2NSF can import.
> Sent: Thursday, November 15, 2018 6:35 PM
<[email-masked]<mailto:[email-masked]>>; Yoav Nir <[email-masked]<mailto:[email-masked]>>
> As we discussed the last Bangkok meeting, I have merged the two drafts 
> of Information Model and Data Model for NSF Monitoring into a new 
> draft called
draft-hong-i2nsf-nsf-monitoring-data-model-06:
>
> - Two Information and Data Model Drafts  . 
> draft-zhang-i2nsf-info-model-monitoring-07

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Wed, 12 Dec 2018 09:42:52 +0900

Hi Tom,
Thanks for your good comments and guidance.

We authors will reflect your comments and guidance on the revision of the
NSF Monitoring Data Model draft.

One thing to note is that
draft-zhang-i2nsf-info-model-monitoring-07 (which is the NSF Monitoring
Information Model draft)
was merged into draft-hong-i2nsf-nsf-monitoring-data-model-06, so we do not
need to reference it in
our data model draft.

Except this, others will be reflected on the revision.

Thanks.

Best Regards,
Paul

On Tue, Dec 11, 2018 at 8:22 PM tom petch <[email-masked]> wrote:

> eople-jaehoon-jeong.php <http://cpslab.skku.edu/people-jaehoon-jeong.php>>
>
> _______________________________________________
> I2nsf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i2nsf
>

-- 
===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked], [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php
<http://cpslab.skku.edu/people-jaehoon-jeong.php>

---

From: "Mr. Jaehoon Paul Jeong" <[email-masked]>
Date: Wed, 12 Dec 2018 10:06:52 +0900

Hi Linda,
We authors will reflect Tom's comments on the revision.

Thanks.

Best Regards,
Paul

On Wed, Dec 12, 2018 at 1:12 AM Linda Dunbar <[email-masked]>
wrote:

> - YANG module has (almost) no reference statements to tell the user (like
> me)  whereto go to understand it. look, for example, at
> draft-ietf-opsawg-nat-yang for a module that is well supplied with
> reference statements
>
> <[email-masked]<mailto:[email-masked]>>; Yoav Nir <
> [email-masked]<mailto:[email-masked]>>

---

From: tom petch <[email-masked]>
Date: Wed, 12 Dec 2018 10:38:12 +0000

----- Original Message -----
From: "Linda Dunbar" <[email-masked]>
Sent: Tuesday, December 11, 2018 4:12 PM

Linda

I suspect that there is duplicated work but the absence of YANG
'reference' statements in the module make that harder to assess.  If two
YANG modules reference the same section of the same document, then they
are likely modelling the same object!  Even if the reference is only to
the document, it does make comparison easier.  Here, there are zero
references.

There is certainly overlap with work in NETCONF where pull-push, pub-sub
and the like have been much debated, often in a seemingly circular
manner, with I-Ds such as
draft-ietf-netconf-subscribed-notifications
draft-ietf-netconf-udp-pub-channel-03
draft-ietf-netconf-yang-push
draft-ietf-netconf-netconf-event-notifications
draft-ietf-netconf-restconf-notif
but that WG is also wrestling with seven client-server drafts which
interact with them so I find it hard to keep track of this work.

On the approach to event/alarm/notification, there is overlap with
draft-ietf-ccamp-alarm-module
which is all about alarms and not much to do with ccamp IMHO. This work
is an evolution of RFC3877 so is probably the one that you should be
familiar with.  I think that if this I-D looks different to RFC3877, it
is because ITU-T have moved on and we have followed.

On the identities, ip, ipv4, ftp etc there is overlap everywhere.

Not sure that that helps but that is the IETF.

Tom Petch

> Authors of the draft-hong-i2nsf-nsf-monitoring-data-model: Can you
please update the draft per Tom's comments.
YANG module:-)
that I2NSF can import.
> oups.com>; Sangwon Hyun
<[email-masked]<mailto:[email-masked]>>;